Modify

Opened 7 months ago

Last modified 7 months ago

#21668 new defect

Closing already closed note from JOSM generates an error

Reported by: angoca Owned by: team
Priority: normal Milestone:
Component: Core notes Version: tested
Keywords: template_report, notes, close Cc:

Description (last modified by skyper)

What steps will reproduce the problem?

  1. Download notes in JOSM.
  2. Resolve the note outside JOSM, like in OSM.
  3. Close the note in JOSM.
  4. Upload the changes.

What is the expected result?

Indicate that the note is already closed. Try to synchronize with the server or do something else. Upload the other closed notes without conflict.

What happens instead?

It generates an error, and nothing is updated. Then, the notes layer should be deleted to continue working with notes in JOSM.

These are the messages:

Note 1,007,708 failed: ResponseCode=409, Error Header=<The note 1007708 was closed at 2021-12-14 03Ñ37Ñ25 UTC>

The server reported that it has detected a conflict. Error message (untranslated): The note 1007708 was closed at 2021-12-14 03:37:25 UTC

Please provide any additional information below. Attach a screenshot if possible.

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2021-11-01 23:05:46 +0100 (Mon, 01 Nov 2021)
Build-Date:2021-11-01 22:25:18
Revision:18303
Relative:URL: ^/trunk

Identification: JOSM/1.5 (18303 en) Mac OS X 10.15.7
OS Build number: Mac OS X 10.15.7 (19H1519)
Memory Usage: 3958 MB / 7200 MB (2342 MB allocated, but free)
Java version: 1.8.0_311-b11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Look and Feel: com.apple.laf.AquaLookAndFeel
Screen: Display 69731270 1440×900 (scaling 1.00×1.00)
Maximum Screen Size: 1440×900
Best cursor sizes: 16×16→16×16, 32×32→32×32
System property file.encoding: UTF-8
System property sun.jnu.encoding: UTF-8
Locale info: en_CO
Numbers with default locale: 1234567890 -> 1234567890
VM arguments: [-Djava.security.policy=file:<java.home>/lib/security/javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>/bin, -Djava.security.manager, -Djnlpx.origFilenameArg=${HOME}/Desktop/josm.jnlp, -Djnlpx.remove=false, -Dsun.awt.warmup=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=4096m,8100m, -Dmacosx.jnlpx.dock.name=JOSM, -Dmacosx.jnlpx.dock.icon=${HOME}/Library/Application Support/Oracle/Java/Deployment/cache/6.0/25/4c122699-7a1c6b48.icns, -Djnlpx.jvm="<java.home>/bin/java"]
Dataset consistency test: No problems found

Plugins:
+ DirectDownload (35640)
+ DxfImport (1014)
+ FastDraw (35864)
+ ImportImagePlugin (35567)
+ ImproveOsm (215)
+ Mapillary (2.0.0-alpha.43)
+ PicLayer (1.0.1)
+ apache-commons (35524)
+ apache-http (35589)
+ buildings_tools (35823)
+ continuosDownload (99)
+ ejml (35458)
+ fieldpapers (v0.5.0)
+ geotools (35458)
+ imagery_offset_db (35640)
+ jaxb (35543)
+ jna (35662)
+ jts (35458)
+ log4j (35852)
+ opendata (35803)
+ pdfimport (35640)
+ photo_geotagging (35783)
+ undelete (35848)
+ utilsplugin2 (35856)

Validator rules:
+ ${HOME}/github/ColombianJosmValidator/Rules_Colombian-specific.validator.mapcss

Last errors/warnings:
- 66772.236 E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=409, Error Header=<The note 1007708 was closed at 2021-12-14 03:37:25 UTC>
- 66772.237 E: Notes failed to upload: Note 1,007,708 failed: ResponseCode=409, Error Header=<The note 1007708 was closed at 2021-12-14 03:37:25 UTC>
- 66776.028 E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=409, Error Header=<The note 1007708 was closed at 2021-12-14 03:37:25 UTC>
- 66776.038 E: Conflict - <html>The server reported that it has detected a conflict.<br>Error message (untranslated):<br>The note 1007708 was closed at 2021-12-14 03:37:25 UTC</html>
- 66783.849 E: Error header: The note 1007708 was closed at 2021-12-14 03:37:25 UTC
- 66783.953 E: Failed to upload note to server: 1,007,708
- 66783.955 E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=409, Error Header=<The note 1007708 was closed at 2021-12-14 03:37:25 UTC>
- 66783.955 E: Notes failed to upload: Note 1,007,708 failed: ResponseCode=409, Error Header=<The note 1007708 was closed at 2021-12-14 03:37:25 UTC>
- 66836.361 E: org.openstreetmap.josm.io.OsmApiException: ResponseCode=409, Error Header=<The note 1007708 was closed at 2021-12-14 03:37:25 UTC>
- 66836.378 E: Conflict - <html>The server reported that it has detected a conflict.<br>Error message (untranslated):<br>The note 1007708 was closed at 2021-12-14 03:37:25 UTC</html>

Attachments (2)

Screen Shot 2021-12-13 at 11.12.38 PM.png (477.1 KB) - added by angoca 7 months ago.
Screen Shot 2021-12-13 at 11.12.17 PM.png (83.0 KB) - added by angoca 7 months ago.

Download all attachments as: .zip

Change History (5)

Changed 7 months ago by angoca

Changed 7 months ago by angoca

comment:1 Changed 7 months ago by angoca

This ticket seems similar to #19764; however, the other one is asking for a message. Instead, in this ticket, I am asking for a way to continue working with notes without deleting the layer, and uploading the other closed notes.

Last edited 7 months ago by skyper (previous) (diff)

comment:2 Changed 7 months ago by angoca

Regarding the other closed notes, I have seen the other ones without conflict are correctly uploaded. However, one of the messages returned contains all conflicting notes.

comment:3 Changed 7 months ago by skyper

Description: modified (diff)
Summary: Closing al already closed note from JOSM generates an errorClosing already closed note from JOSM generates an error

Modify Ticket

Change Properties
Set your email in Preferences
Action
as new The owner will remain team.
as The resolution will be set.
to The owner will be changed from team to the specified user.
The owner will change to angoca
as duplicate The resolution will be set to duplicate.The specified ticket will be cross-referenced with this ticket
The owner will be changed from team to anonymous.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.